Bug 158616 - sata problem with kernel-smp-2.6.11-1.27_FC3.x86_64
sata problem with kernel-smp-2.6.11-1.27_FC3.x86_64
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-24 00:30 EDT by Tom Mitchell
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Blush this should have been attached to bug 158374 (23.69 KB, text/plain)
2005-06-01 01:32 EDT, Tom Mitchell
no flags Details

  None (edit)
Description Tom Mitchell 2005-05-24 00:30:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
 upate to kernel-smp-2.6.11-1.27_FC3.x86_64
from 2.6.11-1.14_FC3smp triggers this error:

  from kernel-2.6.11-1.
Loading jbd.ko module
Loading ext3.ko module
Creating root deKernel panic - not syncing: Attempted to kill init!
vice
Mounting r
oot filesystem
Call Trace:mount: error 6 m<ffffffff801380d4>{panic+196}ounting ext3
mo unt: error 2 mou<ffffffff8033f751>{__down_read+49}nting none
Swit ching to new roo
t
<ffffffff802014e1>{__up_read+33} 22
                                umount /initrd/ dev failed: 2
<ffffffff8013ac93>{do_exit+99}
       <ffffffff802013a1>{__up_write+49} <ffffffff8013b88f>{do_group_exit+239}
       <ffffffff8010e51a>{system_call+126}



Version-Release number of selected component (if applicable):
 kernel-smp-2.6.11-1.27_FC3.x86_64

How reproducible:
Always

Steps to Reproduce:
1. upate to kernel-smp-2.6.11-1.27_FC3.x86_64 hardware that boots from sata
2. reboot
3. reset and the old kernel still boots... 
  

Actual Results:  Kernel panic - not syncing: Attempted to kill init!
While creating root device..

Expected Results:  Happy Login prompt.
 login: happyguy
 Password:
 Last login: Mon May 23 00:50:29

Additional info:

Additional info... just ask.
This box is the only one in a pile of otherwise identical boxes
and the only difference is the sata boot disk and a dvd-reader.
the others do not have sata and do not the dvd.
Comment 1 Tom Mitchell 2005-06-01 01:32:38 EDT
Created attachment 115017 [details]
 Blush this should have been attached to bug  158374

Note the sucessfull boot with ide=nodma below
the Kernel panic.

The machine check is apparently a watchdog timer?
Call Trace: <#MC> <ffffffff8017012d>{softlockup_tick+285}
<ffffffff80113fc1>{timer_interrupt+913}
Comment 2 Tom Mitchell 2005-06-07 17:01:59 EDT
A friend tells me:

"After running the kernel update, I found that Fedora's default initrd needed
to be modified before the system would boot (the SCSI and SATA modules need
to be added).  After that modification, the system booted fine and seems to
be running normally."

I have yet to verify this.
Comment 3 Tom Mitchell 2005-06-07 18:06:30 EDT
Tested... success...
EliotE tells me:
  "You'll need to boot the system
  with a working kernel and then update the initrd.  Once it has booted, run:

  mkinitrd -f --with=scsi_mod --with=sd_mod
  --with=sata_sil /boot/initrd-2.6.11-1.27_FC3smp.img 2.6.11-1.27_FC3smp

  mkinitrd -f --with=scsi_mod --with=sd_mod
  --with=sata_sil /boot/initrd-2.6.11-1.27_FC3.img 2.6.11-1.27_FC3

  This will update the initrd to include the necessary SCSI and SATA modules.
  It should then be able to successfully boot the new kernel."

So what this tells me is that FC3 is perhaps sata unfriendly and in part this 
may illuminate why lots of folk have sata problems (chicken 'n egg).
Comment 4 Tom Mitchell 2005-07-10 21:49:52 EDT
dave,

With the possible exception that FC3 kernel updates are sata unfriendly
this can be closed.  I was able to link in the missing modules 
and things are fine.
Comment 5 Dave Jones 2005-07-15 13:48:22 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:16:00 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.